- [HTTP request](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.ListRetiredResourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#try-it)

**Full name**: projects.locations.retiredResources.list

Lists the `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource` which are the records of deleted `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.keyRings.cryptoKeys#CryptoKey`. RetiredResources prevent the reuse of these resource names after deletion.

### HTTP request

Choose an endpoint:
global europe-west6 us-east7 europe-west3 us-west8 europe-west9 me-central2 us-east1 us-west1 us-west3 us-central2 us-east4 us-west2 europe-west8 us-central1 us-west4 us-east5 us-south1 northamerica-northeast1 northamerica-northeast2 us in ca   
`GET https://cloudkms.googleapis.com/v1/{parent=projects/*/locations/*}/retiredResources`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project-specific location holding the `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource`, in the format `projects/*/locations/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `cloudkms.retiredResources.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Optional limit on the number of `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource` to be included in the response. Further `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource` can subsequently be obtained by including the `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.ListRetiredResourcesResponse.FIELDS.next_page_token` in a subsequent request. If unspecified, the server will pick an appropriate default. |
| `pageToken` | `string` Optional. Optional pagination token, returned earlier via `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.ListRetiredResourcesResponse.FIELDS.next_page_token`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#google.cloud.kms.v1.KeyManagementService.ListRetiredResources`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "retiredResources": [ { object (`https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource`) } ], "nextPageToken": string, "totalSize": string } ``` |

| Fields ||
|---|---|
| `retiredResources[]` | ``object (`https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource`)`` The list of `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource`. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page of results. |
| `totalSize` | `string (https://developers.google.com/discovery/v1/type-format format)` The total number of `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.retiredResources#RetiredResource` that matched the query. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudkms`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).